Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.auth.callback
Class URLCallback

    java.lang.Object
      weblogic.security.auth.callback.URLCallback

All Implemented Interfaces:
  Callback

    public class URLCallback

extends Object
implements Callback

Underlying security services instantiate and pass a `URLCallback` to the `invokeCallback` method of a `CallbackHandler` to retrieve URL information.

See Also:
  `CallbackHandler`

Constructor Summary
`URLCallback(String prompt)` Construct a `URLCallback` with a prompt.
`URLCallback(String prompt, String defaultURL)` Construct a `URLCallback` with a prompt and default URL.

Method Summary
`String` | `getdefaultURL()` Get the default URL.
`String` | `getPrompt()` Get the prompt.
`String` | `getURL()` The retrieved URL.
`void` | `setURL(String URL)` Set the value of the URL attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLCallback

    public URLCallback(String prompt)

  Construct a `URLCallback` with a prompt.

  Parameters:
    `prompt` - The prompt used to request the URL.
  Throws:
    `IllegalArgumentException` - if `prompt` is null or if `prompt` has a length of 0.

### URLCallback

    public URLCallback(String prompt,
                       String defaultURL)

  Construct a `URLCallback` with a prompt and default URL.

  Parameters:
    `prompt` - The prompt used to request the information.
    `defaultURL` - The URL used as the default URL displayed with the prompt.
  Throws:
    `IllegalArgumentException` - if `prompt` is null, if `prompt` has a length of 0, if `defaultURL` is null, or if `defaultURL` has a length of 0.

Method Detail

### getPrompt

    public String getPrompt()

  Get the prompt.

  Returns:
    The prompt.

### getdefaultURL

    public String getdefaultURL()

  Get the default URL.

  Returns:
    The default URL, or null if this `URLCallback` was not instantiated with a `defaultURL`.

### setURL

    public void setURL(String URL)

  Set the value of the URL attribute.

  Parameters:
    `URL` - The retrieved URL (which may be null).
  See Also:
    `URLCallback.getURL()`

### getURL

    public String getURL()

  The retrieved URL.

  Returns:
    The retrieved URL (which may be null).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD